Windows10XSCEPCertificateProfile の作成

名前空間: microsoft.graph

重要: Microsoft Graph /beta バージョンの API は変更される場合があります。実稼働での使用はサポートされていません。

注: Intune 用 Microsoft Graph API には、テナントの 有効な Intune ライセンスが必要です。

新しい windows10XSCEPCertificateProfile オブジェクトを作成 します。

前提条件

この API を呼び出すには、次のいずれかのアクセス許可が必要です。アクセス許可の選択方法などの詳細については、「アクセス許可」を参照してください。

アクセス許可の種類 アクセス許可 (特権の小さいものから大きいものへ)
委任 (職場または学校アカウント) DeviceManagementServiceConfig.ReadWrite.All
委任 (個人用 Microsoft アカウント) サポートされていません。
アプリケーション DeviceManagementServiceConfig.ReadWrite.All

HTTP 要求

POST /deviceManagement/resourceAccessProfiles

要求ヘッダー

ヘッダー
Authorization ベアラー <トークン> が必要です。
承諾 application/json

要求本文

要求本文で、windows10XSCEPCertificateProfile オブジェクトの JSON 表記を指定します。

次の表に、windows10XSCEPCertificateProfile を作成するときに必要なプロパティを示します。

プロパティ 説明
id 文字列 プロファイル識別子 deviceManagementResourceAccessProfileBase から継承
version Int32 プロファイルのバージョンdeviceManagementResourceAccessProfileBaseから継承
displayName 文字列 プロファイル表示名deviceManagementResourceAccessProfileBaseから継承
description String プロファイルの説明deviceManagementResourceAccessProfileBaseから継承
creationDateTime DateTimeOffset DateTime プロファイルが作成されましたdeviceManagementResourceAccessProfileBaseから継承
lastModifiedDateTime DateTimeOffset DateTime プロファイルが最後に変更されたdeviceManagementResourceAccessProfileBaseから継承
roleScopeTagIds String collection deviceManagementResourceAccessProfileBaseから継承されたスコープ タグ
certificateStore certificateStore ターゲット ストア証明書。 可能な値は、usermachine です。
certificateValidityPeriodScale certificateValidityPeriodScale 証明書の有効期間のスケール。 可能な値は、daysmonthsyears です。
certificateValidityPeriodValue Int32 証明書の有効期間の値
extendedKeyUsages extendedKeyUsage コレクション 拡張キー使用法 (EKU) の設定。
hashAlgorithm hashAlgorithms コレクション SCEP ハッシュ アルゴリズム。 可能な値は、sha1sha2 です。
keySize keySize SCEP キーのサイズ。 可能な値は、size1024size2048size4096 です。
keyStorageProvider keyStorageProviderOption キー Storage プロバイダー (KSP)。 使用可能な値: useTpmKspOtherwiseUseSoftwareKspuseTpmKspOtherwiseFailusePassportForWorkKspOtherwiseFailuseSoftwareKsp
keyUsage keyUsages SCEP キーの使用法。 可能な値は、keyEnciphermentdigitalSignature です。
renewalThresholdPercentage Int32 証明書の更新のしきい値の割合
rootCertificateId Guid 信頼されたルート証明書 ID
scepServerUrls String collection SCEP Server の URL。
subjectAlternativeNameFormats windows10XCustomSubjectAlternativeName コレクション カスタム AAD 属性。
subjectNameFormatString 文字列 SubjectNameFormat = Custom で使用するカスタム形式。 例: CN={{EmailAddress}},E={{EmailAddress}},OU=Enterprise Users,O=Contoso Corporation,L=Redmond,ST=WA,C=US

応答

成功した場合、このメソッドは応答コードと、応答本文の 201 Created windows10XSCEPCertificateProfile オブジェクトを返します。

要求

以下は、要求の例です。

POST https://graph.microsoft.com/beta/deviceManagement/resourceAccessProfiles
Content-type: application/json
Content-length: 1178

{
  "@odata.type": "#microsoft.graph.windows10XSCEPCertificateProfile",
  "version": 7,
  "displayName": "Display Name value",
  "description": "Description value",
  "creationDateTime": "2017-01-01T00:00:43.1365422-08:00",
  "roleScopeTagIds": [
    "Role Scope Tag Ids value"
  ],
  "certificateStore": "machine",
  "certificateValidityPeriodScale": "months",
  "certificateValidityPeriodValue": 14,
  "extendedKeyUsages": [
    {
      "@odata.type": "microsoft.graph.extendedKeyUsage",
      "name": "Name value",
      "objectIdentifier": "Object Identifier value"
    }
  ],
  "hashAlgorithm": [
    "sha2"
  ],
  "keySize": "size2048",
  "keyStorageProvider": "useTpmKspOtherwiseFail",
  "keyUsage": "digitalSignature",
  "renewalThresholdPercentage": 10,
  "rootCertificateId": "ed919bbc-9bbc-ed91-bc9b-91edbc9b91ed",
  "scepServerUrls": [
    "Scep Server Urls value"
  ],
  "subjectAlternativeNameFormats": [
    {
      "@odata.type": "microsoft.graph.windows10XCustomSubjectAlternativeName",
      "sanType": "emailAddress",
      "name": "Name value"
    }
  ],
  "subjectNameFormatString": "Subject Name Format String value"
}

応答

以下は、応答の例です。注:簡潔にするために、ここに示す応答オブジェクトは切り詰められている場合があります。すべてのプロパティは実際の呼び出しから返されます。

HTTP/1.1 201 Created
Content-Type: application/json
Content-Length: 1291

{
  "@odata.type": "#microsoft.graph.windows10XSCEPCertificateProfile",
  "id": "d174d58e-d58e-d174-8ed5-74d18ed574d1",
  "version": 7,
  "displayName": "Display Name value",
  "description": "Description value",
  "creationDateTime": "2017-01-01T00:00:43.1365422-08:00",
  "lastModifiedDateTime": "2017-01-01T00:00:35.1329464-08:00",
  "roleScopeTagIds": [
    "Role Scope Tag Ids value"
  ],
  "certificateStore": "machine",
  "certificateValidityPeriodScale": "months",
  "certificateValidityPeriodValue": 14,
  "extendedKeyUsages": [
    {
      "@odata.type": "microsoft.graph.extendedKeyUsage",
      "name": "Name value",
      "objectIdentifier": "Object Identifier value"
    }
  ],
  "hashAlgorithm": [
    "sha2"
  ],
  "keySize": "size2048",
  "keyStorageProvider": "useTpmKspOtherwiseFail",
  "keyUsage": "digitalSignature",
  "renewalThresholdPercentage": 10,
  "rootCertificateId": "ed919bbc-9bbc-ed91-bc9b-91edbc9b91ed",
  "scepServerUrls": [
    "Scep Server Urls value"
  ],
  "subjectAlternativeNameFormats": [
    {
      "@odata.type": "microsoft.graph.windows10XCustomSubjectAlternativeName",
      "sanType": "emailAddress",
      "name": "Name value"
    }
  ],
  "subjectNameFormatString": "Subject Name Format String value"
}